-- The default rotations generator for HUNTERS.
local hunterRotationsGenerator = function ()
	local rotation = {
		[RotationBuilderUtils:localize("defaultRotation/hunter/beast_mastery")] = {
			["ActionList"] = {
				[RotationBuilderUtils:localize("defaultRotation/hunter/hunter_mark")] = {
					["v_t_needsdebuff"] = "1130",
					["v_p_notglyphed"] = "132106",
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "1130",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1130",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["b_p_notglyphed"] = true,
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/arcane_shot_thrill")] = {
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "3044",
					["v_togglename"] = "Toggle 1",
					["b_p_havebuff"] = true,
					["v_spellname"] = "3044",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "34720",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/serpent_sting")] = {
					["v_t_needsdebuff"] = "_1978",
					["v_gcdspell"] = "1462",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1978",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_actionicon"] = "1978",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/crows_execute")] = {
					["v_gcdspell"] = "1462",
					["v_t_hp"] = "<=20%",
					["v_actionicon"] = "131894",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "131894",
					["b_t_boss"] = true,
					["v_keybind"] = "<keybind>",
					["b_t_hp"] = true,
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/kill_command")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "34026",
					["v_actionicon"] = "34026",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/fervor")] = {
					["v_p_needbuff"] = "34471",
					["b_p_needbuff"] = true,
					["v_gcdspell"] = "0",
					["v_actionicon"] = "82726",
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "2",
					["v_spellname"] = "82726",
					["b_p_unitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<=40",
					["v_durationstartedtime"] = 0,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/crows")] = {
					["v_gcdspell"] = "1462",
					["v_t_hp"] = ">90%",
					["v_actionicon"] = "131894",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "131894",
					["b_t_boss"] = true,
					["v_keybind"] = "<keybind>",
					["b_t_hp"] = true,
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/stampede")] = {
					["v_gcdspell"] = "1462",
					["v_durationstartedtime"] = 0,
					["v_actionicon"] = "121818",
					["v_togglename"] = "Toggle 1",
					["b_p_havebuff"] = true,
					["v_spellname"] = "121818",
					["b_t_boss"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "32182|2825|90355|80353",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/arcane_shot_beast")] = {
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "3044",
					["v_togglename"] = "Toggle 1",
					["b_p_havebuff"] = true,
					["v_spellname"] = "3044",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "34471",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/blink_strike")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "130392",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "130392",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/cobra_shot_regen")] = {
					["b_p_needbuff"] = true,
					["v_gcdspell"] = "1462",
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "2",
					["v_spellname"] = "77767",
					["v_checkothercdvalue"] = "<=5",
					["v_gunitpower"] = "14",
					["v_checkothercdname"] = "19574",
					["v_p_needbuff"] = "3045",
					["v_actionicon"] = "77767",
					["v_rangespell"] = "3044",
					["b_checkothercd"] = true,
					["b_p_unitpower"] = true,
					["b_gunitpower"] = true,
					["v_durationstartedtime"] = 0,
					["v_gunitpowertype"] = "2",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<90%",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/mend_pet")] = {
					["v_actionicon"] = "136",
					["v_gcdspell"] = "136",
					["b_rangecheck"] = true,
					["v_pet_needsbuff"] = "_136",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_pet_hp"] = "<=80%",
					["b_pet_needsbuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_spellname"] = "136",
					["b_pet_hp"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/arcane_shot")] = {
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "3044",
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "3044",
					["v_p_unitpowertype"] = "2",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">70",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/kill_shot")] = {
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "53351",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "53351",
					["v_t_hp"] = "<=20%",
					["v_keybind"] = "<keybind>",
					["b_t_hp"] = true,
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/bestial_wrath")] = {
					["v_p_needbuff"] = "3045|32182|2825|90355|80353|49016",
					["b_p_needbuff"] = true,
					["v_gcdspell"] = "0",
					["v_actionicon"] = "19574",
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "2",
					["v_spellname"] = "19574",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=90%",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/readiness")] = {
					["v_p_needbuff"] = "34471",
					["b_p_needbuff"] = true,
					["v_gcdspell"] = "0",
					["v_actionicon"] = "23989",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "23989",
					["b_t_boss"] = true,
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = ">0",
					["v_checkothercdname"] = "19574",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/glaive_toss")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "117050",
					["v_actionicon"] = "117050",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/powershot")] = {
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "109259",
					["v_togglename"] = "Toggle 1",
					["b_p_havebuff"] = true,
					["v_spellname"] = "109259",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "3045|82692|32182|2825|90355|80353|49016",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/focus_fire")] = {
					["v_p_needbuff"] = "34471",
					["b_p_needbuff"] = true,
					["v_actionicon"] = "82692",
					["v_gcdspell"] = "1462",
					["b_p_havebuff"] = true,
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "82692",
					["v_checkothercdvalue"] = ">=25",
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "19615#5",
					["v_checkothercdname"] = "19574",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/rapid_fire")] = {
					["v_p_needbuff"] = "34471",
					["b_p_needbuff"] = true,
					["v_gcdspell"] = "0",
					["v_togglename"] = "Toggle 1",
					["v_actionicon"] = "3045",
					["v_spellname"] = "3045",
					["b_t_boss"] = true,
					["v_keybind"] = "<keybind>",
					["v_durationstartedtime"] = 0,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/dire_beast")] = {
					["v_p_needbuff"] = "34471",
					["b_p_needbuff"] = true,
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "120679",
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "2",
					["v_spellname"] = "120679",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<80",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/cobra_shot")] = {
					["v_gunitpowertype"] = "2",
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "77767",
					["v_rangespell"] = "3044",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "77767",
					["b_gunitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "14",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/cobra_shot_refresh")] = {
					["v_t_needsdebuff"] = "_1978^3",
					["b_t_hasdebuff"] = true,
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "77767",
					["v_rangespell"] = "3044",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "77767",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["b_rangecheck"] = true,
					["v_t_hasdebuff"] = "_1978",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/revive_pet")] = {
					["v_actionicon"] = "982",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_pet_hp"] = "=0",
					["v_spellname"] = "982",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "136",
					["b_pet_hp"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/hawk_aspect")] = {
					["v_p_notstance"] = "1",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "109260",
					["b_p_notstance"] = true,
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "109260",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/lynx_rush")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "120697",
					["v_actionicon"] = "120697",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["b_pet_dr"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/barrage")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "120360",
					["v_actionicon"] = "120360",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["b_rangecheck"] = true,
				},
			},
			["SortedActions"] = {
				RotationBuilderUtils:localize("defaultRotation/hunter/hawk_aspect"), -- [1]
				RotationBuilderUtils:localize("defaultRotation/hunter/hunter_mark"), -- [2]
				RotationBuilderUtils:localize("defaultRotation/hunter/revive_pet"), -- [3]
				RotationBuilderUtils:localize("defaultRotation/hunter/mend_pet"), -- [4]
				RotationBuilderUtils:localize("defaultRotation/hunter/cobra_shot_refresh"), -- [5]
				RotationBuilderUtils:localize("defaultRotation/hunter/stampede"), -- [6]
				RotationBuilderUtils:localize("defaultRotation/hunter/readiness"), -- [7]
				RotationBuilderUtils:localize("defaultRotation/hunter/rapid_fire"), -- [8]
				RotationBuilderUtils:localize("defaultRotation/hunter/focus_fire"), -- [9]
				RotationBuilderUtils:localize("defaultRotation/hunter/dire_beast"), -- [10]
				RotationBuilderUtils:localize("defaultRotation/hunter/fervor"), -- [11]
				RotationBuilderUtils:localize("defaultRotation/hunter/cobra_shot_regen"), -- [12]
				RotationBuilderUtils:localize("defaultRotation/hunter/bestial_wrath"), -- [13]
				RotationBuilderUtils:localize("defaultRotation/hunter/serpent_sting"), -- [14]
				RotationBuilderUtils:localize("defaultRotation/hunter/blink_strike"), -- [15]
				RotationBuilderUtils:localize("defaultRotation/hunter/kill_command"), -- [16]
				RotationBuilderUtils:localize("defaultRotation/hunter/crows"), -- [17]
				RotationBuilderUtils:localize("defaultRotation/hunter/crows_execute"), -- [18]
				RotationBuilderUtils:localize("defaultRotation/hunter/lynx_rush"), -- [19]
				RotationBuilderUtils:localize("defaultRotation/hunter/kill_shot"), -- [20]
				RotationBuilderUtils:localize("defaultRotation/hunter/glaive_toss"), -- [21]
				RotationBuilderUtils:localize("defaultRotation/hunter/arcane_shot_thrill"), -- [22]
				RotationBuilderUtils:localize("defaultRotation/hunter/arcane_shot_beast"), -- [23]
				RotationBuilderUtils:localize("defaultRotation/hunter/powershot"), -- [24]
				RotationBuilderUtils:localize("defaultRotation/hunter/barrage"), -- [25]
				RotationBuilderUtils:localize("defaultRotation/hunter/arcane_shot"), -- [26]
				RotationBuilderUtils:localize("defaultRotation/hunter/cobra_shot"), -- [27]
			},
			["keybind"] = "<keybind>",
		},
		[RotationBuilderUtils:localize("defaultRotation/hunter/marksmanship")] = {
			["ActionList"] = {
				[RotationBuilderUtils:localize("defaultRotation/hunter/aimed_shot_haste")] = {
					["v_p_havebuff"] = "3045|32182|2825|90355|80353|49016",
					["v_actionicon"] = "19434",
					["v_gcdspell"] = "1462",
					["b_p_havebuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "19434",
					["v_p_unitpowertype"] = "2",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">55",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/hunter_mark")] = {
					["v_t_needsdebuff"] = "1130",
					["v_p_notglyphed"] = "132106",
					["v_gcdspell"] = "1462",
					["b_p_notglyphed"] = true,
					["v_togglename"] = "Toggle 1",
					["v_actionicon"] = "1130",
					["v_spellname"] = "1130",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_durationstartedtime"] = 0,
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/arcane_shot_thrill")] = {
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "3044",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "3044",
					["b_p_havebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "34720",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/serpent_sting")] = {
					["v_t_needsdebuff"] = "_1978",
					["v_gcdspell"] = "1462",
					["v_t_hp"] = "<90%",
					["v_actionicon"] = "1978",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1978",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["b_t_hp"] = true,
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/crows_execute")] = {
					["v_gcdspell"] = "1462",
					["v_spellname"] = "131894",
					["v_t_hp"] = "<=20%",
					["v_togglename"] = "Toggle 1",
					["v_actionicon"] = "131894",
					["b_t_hp"] = true,
					["b_t_boss"] = true,
					["v_keybind"] = "<keybind>",
					["v_durationstartedtime"] = 0,
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/arcane_shot")] = {
					["v_p_needbuff"] = "32182|2825|90355|80353|49016",
					["v_t_hp"] = "<90%",
					["b_p_needbuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_gcdspell"] = "1462",
					["v_spellname"] = "3044",
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "2",
					["b_t_hp"] = true,
					["v_actionicon"] = "3044",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">55",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/aimed_shot_fire")] = {
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "19434",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "19434",
					["b_p_havebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "82926",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/fervor")] = {
					["v_gcdspell"] = "0",
					["v_p_unitpowertype"] = "2",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "82726",
					["b_p_unitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<=40",
					["v_actionicon"] = "82726",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/crows")] = {
					["v_gcdspell"] = "1462",
					["v_spellname"] = "131894",
					["v_t_hp"] = ">90%",
					["v_togglename"] = "Toggle 1",
					["v_actionicon"] = "131894",
					["b_t_hp"] = true,
					["b_t_boss"] = true,
					["v_keybind"] = "<keybind>",
					["v_durationstartedtime"] = 0,
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/lynx_rush")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "120697",
					["v_actionicon"] = "120697",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["b_pet_dr"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/blink_strike")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "130392",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "130392",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/steady_shot")] = {
					["v_gunitpowertype"] = "2",
					["v_gcdspell"] = "1462",
					["b_gunitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "56641",
					["v_actionicon"] = "56641",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "14",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/kill_shot")] = {
					["v_gcdspell"] = "1462",
					["v_t_hp"] = "<=20%",
					["v_togglename"] = "Toggle 1",
					["v_actionicon"] = "53351",
					["b_t_hp"] = true,
					["v_spellname"] = "53351",
					["v_keybind"] = "<keybind>",
					["v_durationstartedtime"] = 0,
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/stampede")] = {
					["v_gcdspell"] = "1462",
					["b_p_havebuff"] = true,
					["v_actionicon"] = "121818",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "121818",
					["b_t_boss"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "32182|2825|90355|80353",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/readiness")] = {
					["v_gcdspell"] = "0",
					["v_checkothercdvalue"] = ">0",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "23989",
					["b_t_boss"] = true,
					["v_keybind"] = "<keybind>",
					["v_actionicon"] = "23989",
					["v_checkothercdname"] = "19574",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/glaive_toss")] = {
					["v_gcdspell"] = "1462",
					["v_t_hp"] = "<90%",
					["v_togglename"] = "Toggle 1",
					["v_actionicon"] = "117050",
					["b_t_hp"] = true,
					["v_spellname"] = "117050",
					["v_keybind"] = "<keybind>",
					["v_durationstartedtime"] = 0,
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/mend_pet")] = {
					["b_rangecheck"] = true,
					["v_gcdspell"] = "136",
					["v_spellname"] = "136",
					["v_pet_needsbuff"] = "_136",
					["v_togglename"] = "Toggle 1",
					["v_actionicon"] = "136",
					["v_pet_hp"] = "<=80%",
					["b_pet_needsbuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_durationstartedtime"] = 0,
					["b_pet_hp"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/dire_beast")] = {
					["v_gcdspell"] = "1462",
					["v_p_unitpowertype"] = "2",
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["v_actionicon"] = "120679",
					["v_spellname"] = "120679",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<80",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/rapid_fire")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "3045",
					["b_t_boss"] = true,
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "0",
					["v_actionicon"] = "3045",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/powershot")] = {
					["v_gcdspell"] = "1462",
					["v_t_hp"] = "<90%",
					["v_togglename"] = "Toggle 1",
					["v_actionicon"] = "109259",
					["b_t_hp"] = true,
					["v_spellname"] = "109259",
					["v_keybind"] = "<keybind>",
					["v_durationstartedtime"] = 0,
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/aimed_shot")] = {
					["v_t_hp"] = ">90%",
					["v_actionicon"] = "19434",
					["v_gcdspell"] = "1462",
					["v_spellname"] = "19434",
					["v_p_unitpowertype"] = "2",
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["b_t_hp"] = true,
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">55",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/steady_shot_focus")] = {
					["v_p_needbuff"] = "53220",
					["b_p_needbuff"] = true,
					["v_gcdspell"] = "1462",
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["v_actionicon"] = "56641",
					["v_spellname"] = "56641",
					["b_lastcasted"] = true,
					["v_keybind"] = "<keybind>",
					["v_lastcasted"] = "56641",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/chimera_shot")] = {
					["v_gcdspell"] = "1462",
					["v_t_hp"] = "<90%",
					["v_togglename"] = "Toggle 1",
					["v_actionicon"] = "53209",
					["b_t_hp"] = true,
					["v_spellname"] = "53209",
					["v_keybind"] = "<keybind>",
					["v_durationstartedtime"] = 0,
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/hawk_aspect")] = {
					["v_p_notstance"] = "1",
					["v_togglename"] = "Toggle 1",
					["v_actionicon"] = "13165",
					["v_spellname"] = "13165",
					["b_p_notstance"] = true,
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["v_durationstartedtime"] = 0,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/revive_pet")] = {
					["v_actionicon"] = "982",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_pet_hp"] = "=0",
					["v_spellname"] = "982",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "136",
					["b_pet_hp"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/barrage")] = {
					["v_gcdspell"] = "1462",
					["v_t_hp"] = "<90%",
					["v_togglename"] = "Toggle 1",
					["v_actionicon"] = "120360",
					["b_t_hp"] = true,
					["v_spellname"] = "120360",
					["v_keybind"] = "<keybind>",
					["v_durationstartedtime"] = 0,
					["b_rangecheck"] = true,
				},
			},
			["SortedActions"] = {
				RotationBuilderUtils:localize("defaultRotation/hunter/hawk_aspect"), -- [1]
				RotationBuilderUtils:localize("defaultRotation/hunter/hunter_mark"), -- [2]
				RotationBuilderUtils:localize("defaultRotation/hunter/revive_pet"), -- [3]
				RotationBuilderUtils:localize("defaultRotation/hunter/mend_pet"), -- [4]
				RotationBuilderUtils:localize("defaultRotation/hunter/steady_shot_focus"), -- [5]
				RotationBuilderUtils:localize("defaultRotation/hunter/stampede"), -- [6]
				RotationBuilderUtils:localize("defaultRotation/hunter/readiness"), -- [7]
				RotationBuilderUtils:localize("defaultRotation/hunter/rapid_fire"), -- [8]
				RotationBuilderUtils:localize("defaultRotation/hunter/dire_beast"), -- [9]
				RotationBuilderUtils:localize("defaultRotation/hunter/fervor"), -- [10]
				RotationBuilderUtils:localize("defaultRotation/hunter/serpent_sting"), -- [11]
				RotationBuilderUtils:localize("defaultRotation/hunter/chimera_shot"), -- [12]
				RotationBuilderUtils:localize("defaultRotation/hunter/aimed_shot_fire"), -- [13]
				RotationBuilderUtils:localize("defaultRotation/hunter/blink_strike"), -- [14]
				RotationBuilderUtils:localize("defaultRotation/hunter/crows"), -- [15]
				RotationBuilderUtils:localize("defaultRotation/hunter/crows_execute"), -- [16]
				RotationBuilderUtils:localize("defaultRotation/hunter/lynx_rush"), -- [17]
				RotationBuilderUtils:localize("defaultRotation/hunter/kill_shot"), -- [18]
				RotationBuilderUtils:localize("defaultRotation/hunter/glaive_toss"), -- [19]
				RotationBuilderUtils:localize("defaultRotation/hunter/arcane_shot_thrill"), -- [20]
				RotationBuilderUtils:localize("defaultRotation/hunter/powershot"), -- [21]
				RotationBuilderUtils:localize("defaultRotation/hunter/barrage"), -- [22]
				RotationBuilderUtils:localize("defaultRotation/hunter/aimed_shot"), -- [23]
				RotationBuilderUtils:localize("defaultRotation/hunter/aimed_shot_haste"), -- [24]
				RotationBuilderUtils:localize("defaultRotation/hunter/arcane_shot"), -- [25]
				RotationBuilderUtils:localize("defaultRotation/hunter/steady_shot"), -- [26]
			},
			["keybind"] = "<keybind>",
		},
		[RotationBuilderUtils:localize("defaultRotation/hunter/survival")] = {
			["ActionList"] = {
				[RotationBuilderUtils:localize("defaultRotation/hunter/hunter_mark")] = {
					["v_t_needsdebuff"] = "1130",
					["v_p_notglyphed"] = "132106",
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "1130",
					["b_p_notglyphed"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1130",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_togglename"] = "Toggle 1",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/arcane_shot_thrill")] = {
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "3044",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "3044",
					["b_p_havebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "34720",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/serpent_sting")] = {
					["v_t_needsdebuff"] = "_1978",
					["v_gcdspell"] = "1462",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1978",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_actionicon"] = "1978",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/crows_execute")] = {
					["v_gcdspell"] = "1462",
					["b_rangecheck"] = true,
					["v_actionicon"] = "131894",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "131894",
					["b_t_boss"] = true,
					["v_keybind"] = "<keybind>",
					["b_t_hp"] = true,
					["v_t_hp"] = "<=20%",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/arcane_shot")] = {
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "3044",
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "2",
					["v_spellname"] = "3044",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">70",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/mend_pet")] = {
					["b_pet_hp"] = true,
					["v_gcdspell"] = "136",
					["v_pet_hp"] = "<=80%",
					["v_pet_needsbuff"] = "_136",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "136",
					["b_pet_needsbuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_actionicon"] = "136",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/crows")] = {
					["v_gcdspell"] = "1462",
					["b_rangecheck"] = true,
					["v_actionicon"] = "131894",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "131894",
					["b_t_boss"] = true,
					["v_keybind"] = "<keybind>",
					["b_t_hp"] = true,
					["v_t_hp"] = ">90%",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/stampede")] = {
					["v_gcdspell"] = "1462",
					["b_p_havebuff"] = true,
					["v_actionicon"] = "121818",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "121818",
					["b_t_boss"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "32182|2825|90355|80353",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/blink_strike")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "130392",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "130392",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/lynx_rush")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "120697",
					["v_actionicon"] = "120697",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["b_pet_dr"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/kill_shot")] = {
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "53351",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "53351",
					["b_rangecheck"] = true,
					["v_keybind"] = "<keybind>",
					["b_t_hp"] = true,
					["v_t_hp"] = "<=20%",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/revive_pet")] = {
					["v_actionicon"] = "982",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "982",
					["v_pet_hp"] = "=0",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "136",
					["b_pet_hp"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/readiness")] = {
					["v_p_needbuff"] = "3045",
					["b_p_needbuff"] = true,
					["v_gcdspell"] = "0",
					["v_actionicon"] = "23989",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "23989",
					["b_t_boss"] = true,
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = ">0",
					["v_checkothercdname"] = "3045",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/glaive_toss")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "117050",
					["v_actionicon"] = "117050",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/black_arrow")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "3674",
					["v_actionicon"] = "3674",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/explosive_shot")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "53301",
					["v_actionicon"] = "53301",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/rapid_fire")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "3045",
					["b_t_boss"] = true,
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "0",
					["v_actionicon"] = "3045",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/dire_beast")] = {
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "120679",
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "2",
					["v_spellname"] = "120679",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<80",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/powershot")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "109259",
					["v_actionicon"] = "109259",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/cobra_shot_refresh")] = {
					["v_t_needsdebuff"] = "_1978^5",
					["b_t_hasdebuff"] = true,
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "77767",
					["b_rangecheck"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "77767",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_rangespell"] = "3044",
					["v_t_hasdebuff"] = "_1978",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/cobra_shot")] = {
					["v_gunitpowertype"] = "2",
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "77767",
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "77767",
					["v_rangespell"] = "3044",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "14",
					["b_rangecheck"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/hawk_aspect")] = {
					["v_p_notstance"] = "1",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "13165",
					["b_p_notstance"] = true,
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["v_actionicon"] = "13165",
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/fervor")] = {
					["v_gcdspell"] = "0",
					["v_actionicon"] = "82726",
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "2",
					["v_spellname"] = "82726",
					["v_durationstartedtime"] = 0,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<=40",
					["b_p_unitpower"] = true,
				},
				[RotationBuilderUtils:localize("defaultRotation/hunter/barrage")] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "120360",
					["v_actionicon"] = "120360",
					["v_keybind"] = "<keybind>",
					["v_gcdspell"] = "1462",
					["b_rangecheck"] = true,
				},
			},
			["SortedActions"] = {
				RotationBuilderUtils:localize("defaultRotation/hunter/hawk_aspect"), -- [1]
				RotationBuilderUtils:localize("defaultRotation/hunter/hunter_mark"), -- [2]
				RotationBuilderUtils:localize("defaultRotation/hunter/revive_pet"), -- [3]
				RotationBuilderUtils:localize("defaultRotation/hunter/mend_pet"), -- [4]
				RotationBuilderUtils:localize("defaultRotation/hunter/cobra_shot_refresh"), -- [5]
				RotationBuilderUtils:localize("defaultRotation/hunter/stampede"), -- [6]
				RotationBuilderUtils:localize("defaultRotation/hunter/rapid_fire"), -- [7]
				RotationBuilderUtils:localize("defaultRotation/hunter/fervor"), -- [8]
				RotationBuilderUtils:localize("defaultRotation/hunter/explosive_shot"), -- [9]
				RotationBuilderUtils:localize("defaultRotation/hunter/kill_shot"), -- [10]
				RotationBuilderUtils:localize("defaultRotation/hunter/crows_execute"), -- [11]
				RotationBuilderUtils:localize("defaultRotation/hunter/black_arrow"), -- [12]
				RotationBuilderUtils:localize("defaultRotation/hunter/serpent_sting"), -- [13]
				RotationBuilderUtils:localize("defaultRotation/hunter/crows"), -- [14]
				RotationBuilderUtils:localize("defaultRotation/hunter/blink_strike"), -- [15]
				RotationBuilderUtils:localize("defaultRotation/hunter/lynx_rush"), -- [16]
				RotationBuilderUtils:localize("defaultRotation/hunter/glaive_toss"), -- [17]
				RotationBuilderUtils:localize("defaultRotation/hunter/dire_beast"), -- [18]
				RotationBuilderUtils:localize("defaultRotation/hunter/readiness"), -- [19]
				RotationBuilderUtils:localize("defaultRotation/hunter/arcane_shot_thrill"), -- [20]
				RotationBuilderUtils:localize("defaultRotation/hunter/powershot"), -- [21]
				RotationBuilderUtils:localize("defaultRotation/hunter/barrage"), -- [22]
				RotationBuilderUtils:localize("defaultRotation/hunter/arcane_shot"), -- [23]
				RotationBuilderUtils:localize("defaultRotation/hunter/cobra_shot"), -- [24]
			},
			["keybind"] = "<keybind>",
		},
	}

	-- Restore the true state of the saved data.
	--	return RotationBuilder:restoreTable({}, rotation);
	return rotation;
end

RotationBuilder:addDefaultRotationsGenerator("HUNTER", hunterRotationsGenerator);